# Class TCefSharedMemoryRegionRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFSharedMemoryRegion

## Declaration

`type TCefSharedMemoryRegionRef = class(TCefBaseRefCountedRef, ICefSharedMemoryRegion)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefSharedMemoryRegionRef

## Overview

### Methods

| `function IsValid: boolean;`
| `function Size: NativeUInt;`
| `function Memory: pointer;`
| `class function UnWrap(data: Pointer): ICefSharedMemoryRegion;`

## Description

### Methods

| `function IsValid: boolean;`
This item has no description. Showing description inherited from ICefSharedMemoryRegion.IsValid. Returns true (1) if the mapping is valid.

| `function Size: NativeUInt;`
This item has no description. Showing description inherited from ICefSharedMemoryRegion.Size. Returns the size of the mapping in bytes. Returns 0 for invalid instances.

| `function Memory: pointer;`
This item has no description. Showing description inherited from ICefSharedMemoryRegion.Memory. Returns the pointer to the memory. Returns nullptr for invalid instances. The returned pointer is only valid for the life span of this object.

| `class function UnWrap(data: Pointer): ICefSharedMemoryRegion;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.